# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools eutils vcs-snapshot

DESCRIPTION="Keeps per window keyboard layout under X11"
HOMEPAGE="https://github.com/antonbutanaev/PerWindowLayout"
SRC_URI="https://sourceforge.net/projects/perwindowlayout/files/${PN}-${PV}.tar.gz/download?source=files -> ${PN}-${PV}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="dev-libs/glib:2=
	x11-libs/libX11:0=
	dbus? (
		sys-apps/dbus:0=
		>=dev-libs/dbus-glib-0.86:0=
	)
"
RDEPEND="${DEPEND}"

src_prepare() {
	eautoreconf
}

src_configure() {
	econf
}
